MP4(3)

NAME

MP4SetSessionSdp - Set the SDP session level description of the file

SYNTAX

#include <mp4.h>

bool MP4SetSessionSdp(
    MP4FileHandle hFile,
    const char* sdpString
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

sdpString
    Specifies the new value of the session sdp string.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetSessionSdp sets the SDP (IETF RFC 2327) session level fragment for the file. This is used by a streaming server to create a complete SDP description of the multimedia session represented by the file.

SEE ALSO

MP4(3) MP4GetSessionSdp(3) MP4AppendSessionSdp(3)